System.register([], function (_export, _context) {
  "use strict";

  function extend(obj, definitions) {
    const descriptors = Object.getOwnPropertyDescriptors(definitions);
    for (let [propName, descriptor] of Object.entries(descriptors)) {
      descriptor.enumerable = false;
      Object.defineProperty(obj, propName, descriptor);
    }
  }

  _export("extend", extend);

  return {
    setters: [],
    execute: function () {
      _recorder_._src_client_lang_utils_js = _recorder_._src_client_lang_utils_js || {};
      _recorder_._src_client_lang_utils_js.extend = extend;
    }
  };
});